Package com.independentsoft.graph.sites

# Enum Class ChoicesDisplayAs

java.lang.Object
java.lang.Enum<ChoicesDisplayAs>
com.independentsoft.graph.sites.ChoicesDisplayAs

All Implemented Interfaces:
  `Serializable`, `Comparable<ChoicesDisplayAs>`, `Constable`

public enum ChoicesDisplayAs extends Enum<ChoicesDisplayAs>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECK_BOXES`
  `DROP_DOWN_MENU`
  `RADIO_BUTTONS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChoicesDisplayAs`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChoicesDisplayAs[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHECK_BOXES

    public static final ChoicesDisplayAs CHECK_BOXES

  - ### DROP_DOWN_MENU

    public static final ChoicesDisplayAs DROP_DOWN_MENU

  - ### RADIO_BUTTONS

    public static final ChoicesDisplayAs RADIO_BUTTONS

- ## Method Details

  - ### values

    public static ChoicesDisplayAs[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChoicesDisplayAs valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null